CIA-39[muon] jmthomas * 1195778 * trunk/extragear/sysadmin/muon/installer/ (ApplicationWidget.cpp ApplicationWidget.h) Improve layouting, populate the screenshot label with the package's thumbnail, if available.00:08
CIA-39[muon] jmthomas * 1195783 * trunk/extragear/sysadmin/muon/installer/ (ApplicationWindow.cpp ApplicationWindow.h) Start the application with the categorical view selected on the view switcher00:17
=== Quintasan_ is now known as Quintasan
CIA-39[muon] jmthomas * 1195801 * trunk/extragear/sysadmin/muon/installer/ (8 files in 2 dirs) Fancy things such as remembering window size and splitter size00:57
CIA-39[muon] jmthomas * 1195807 * trunk/extragear/sysadmin/muon/TODO Update TODO01:07
CIA-39[muon] jmthomas * 1195837 * trunk/extragear/sysadmin/muon/installer/ (6 files in 2 dirs) Prepare for fetching bigger screenshots, fix some alignment issues.03:31
=== skreech_ is now known as dasKreech
CIA-39[muon] jmthomas * 1195839 * trunk/extragear/sysadmin/muon/installer/ (ApplicationWidget.cpp ApplicationWidget.h) Add a clickable website label03:48
ScottKapachelogger: Seems fine now.04:06
=== hunger_ is now known as hunger
Quintasanapachelogger: ping09:18
hungerYeah! Creator builds again!10:22
hungerAlways amazing what a little Qt update does:-)10:22
freeflyingRiddell, you there?10:28
Quintasanshadeslayer: I think rekonq should get User CSS per Site feature10:47
alcan i get pbuilder to run multiple compiler jobs simultaneously?10:56
alexporting DEBBUILDOPTS="-j9" seems to not have done the trick for me10:56
yofelI use11:06
yofelexport MAKEFLAGS="-j4"11:06
yofelwhich works for some packages at least11:06
alyofel, thanks11:15
alhmpf, pbuilder isn't using ccache either11:15
Quintasanal: you need to configure it to do so11:39
Quintasanbut I think someone said it is broken11:39
alQuintasan, yea i found some instructions but they had no effect11:40
shadeslayerQuintasan_: feel free tom implement it12:20
shadeslayeranyone around?12:24
shadeslayerheh :P12:25
shadeslayernigelb: can you install skrooge and tell me if it runs for you?12:25
shadeslayerand if it pulls in libqca2-plugin-ossl12:25
nigelbshadeslayer: mav?12:25
nigelbsorry, lucid here :(12:25
shadeslayerwell.. can you pastebin the output of sudo apt-get install skrooge?12:25
nigelbcan't figure that out with apt-cache?12:26
shadeslayernigelb: dont download and install, just need to see if  it pulls in libqca2-plugin-ossl12:26
nigelbshadeslayer: well, it sould12:27
shadeslayeryes, but it doesnt12:28
nigelbits a suggests 12:28
nigelbso it depends on what package management tool you're using12:28
shadeslayersomeone reported that skrooge doesnt work without it12:28
nigelboh oh12:28
nigelbthat means its time for upgrade from suggests 12:28
shadeslayerwhaaa... im getting just 25 KBps12:30
shadeslayeri guess Airtel went kaboom12:30
nigelbor they decided you're the cause for their bandwidth fail :p12:31
nigelb(highly likely)12:31
shadeslayerquite possible12:31
shadeslayerhmm.. the problem is genuine12:32
shadeslayerRiddell: im cleaning out ninjas12:33
shadeslayerok its a bug in debian packaging as well12:35
shadeslayernigelb: its a bug in skrooge :P12:40
shadeslayerseems skrooge is a GPL app and it cannot require openssl12:40
skfinHey shadeslayer :)12:42
shadeslayerskfin: \o12:42
nigelbshadeslayer: yay12:42
shadeslayerim going to have fun reporting this to skrooge people12:42
shadeslayerninjas is already clean12:45
shadeslayerRiddell: http://pastebin.ca/198897812:46
shadeslayeryour changelog is the awesome12:46
skfinshadeslayer: Do you have a blog? I would add it to our brand new planet system.12:50
skfinWhoops wrong channel12:50
shadeslayerskfin: i dont blog12:50
shadeslayeri should tho12:50
skfinshadeslayer: blag12:50
shadeslayeri dont blag either :P12:50
skfinBlah :D12:50
shadeslayeri dont even have a domain12:51
skfinshadeslayer: Okay, when you do have, link it to me... I'll add it to planet soruces...have you seen it?12:51
shadeslayerskfin: yep ...12:51
skfinshadeslayer: You could use something like wordpress.com12:51
shadeslayeryeah, but im too lazy to setup a new account12:51
skfinHaha thats your problem dude :)12:51
nigelblol, skfin I agree :p12:52
shadeslayeri haz my bandwidth back \o/12:57
nigelboh no....12:57
=== seaLne_ is now known as seaLne
=== fenris- is now known as ejat
apacheloggerwhat the heck14:33
apacheloggerdantti: so I got my printer, plugged it in, started the pc an the printer is already there :O14:34
apacheloggeris there almighty cups magic going on?14:34
shadeslayerwhile were on the topic of printers14:47
shadeslayermy college has a HP 2420 printer and you cannot print anything from it14:48
shadeslayerit keeps printing garbage14:48
skfinIt's HP, what else?14:49
skfinI gtg anyway14:49
alshadeslayer, try the different drivers, one will work14:51
shadeslayeral: thats what i did, still keeps printing garbage 14:52
ali'm using the non-foomatic PS driver on a hp lj 410014:52
shadeslayerand now i have no sound :S14:52
albut foomatic/ps Foomatic/hpijs and Foomatic/lj4dith worked too iirc14:52
* ScottK has two HP printers here and they both just worked with whatever the default driver was.14:53
alyep, same here14:53
aljust the speeds were differing14:53
shadeslayer*shrug* ... just know that it doesnt work14:57
apparleKudos guys, 10.10 awesome, super awesome14:57
apparleand the moment I pressed enter on that "super awesome" message and my x server restarted ........ irony15:00
ghostcubeguys i think iam going to get old, but did apt-cache policy not show the server from wehere i can get the package i the past15:05
apparleguys, why is aptitude removed?15:07
apparlefrom the default installtion15:07
ScottKapparle: To save space.15:12
ScottKFor people who want aptitude, it's trivial to install.15:12
ScottK(it wasn't just Kubuntu, it was all images)15:13
apacheloggerQuintasan_: pong15:24
Quintasan_I totally forgot what I wanted :P15:30
=== Quintasan_ is now known as Quintasan
shadeslayerQuintasan: his new printer?15:32
=== yofel_ is now known as yofel
ScottKbluedevil 1.0 for someone to package.16:49
shadeslayerScottK: ill take it up16:58
ScottKGreat.  16:58
shadeslayerScottK: it should be on kde-apps right?17:01
shadeslayerand package for natty?17:01
ScottKshadeslayer: Packages for Natty.  The blog post on p.k.o has the links.17:02
shadeslayerScottK: so library version is still 1.8 but they have made changes, should i just make the package 1.8-0ubuntu2 ?17:19
shadeslayerso as in so the lib version...17:19
ScottKI didn't look at the details.17:19
ScottKIf they released a new tarball with new content, it should have a new version.17:19
shadeslayerCMake says something else17:20
shadeslayerafiestas: ^^17:21
afiestasereslibre is fixing it right now17:24
afiestasshadeslayer: downlad the tarbal again17:25
shadeslayersame link?17:25
shadeslayerright fixed now17:26
shadeslayerafiestas: 1.8-1 ... weird version :P17:27
shadeslayerwhy not 1.8.1 or something?17:28
afiestasask ereslibre xD17:28
shadeslayeri wonder if we have packages like 1.8-1-0ubuntu117:29
afiestasshadeslayer: iirc, you do17:40
shadeslayerafiestas: any hints? i would like to double check before we proceed 17:41
afiestaswell, I don't know anything about debian packaging :/17:41
yofelshadeslayer: according to the policy it's allowed it seems, as long as a debian_version is present (0ubuntu1 here)17:41
yofel(ubuntu-policy policy.pdf.gz page 48)17:42
shadeslayeryofel: hmm... if you say so, ive never handled this type of case before :P17:42
yofelme neither :P17:43
shadeslayeri think the policy manual applies here17:48
ScottKshadeslayer: You scared him off.17:55
shadeslayerScottK: am i becoming like apachelogger? :P17:55
ScottKNo.  apachelogger is friendly.  We established that at UDS.17:56
shadeslayerScottK: i think that mode will pass....17:56
apacheloggershadeslayer: also you need to rename kubuntu-konqueror-shortcuts or whatever its silly name was17:56
shadeslayerapachelogger: yeah i remember ... :P17:56
ScottKshadeslayer: Being the pessimist is my job, not yours.17:57
shadeslayeri just dont get enough time from exams and stuff17:57
ScottKAnd yet there is time for sleeping.  Where are your priorities.17:57
shadeslayerScottK: this was a interesting read, http://people.gnome.org/~markmc/openssl-and-the-gpl.html18:12
shadeslayerand the thing is... skrooge depends on that stuff18:12
ScottKThe simple solution would be is Skrooge upstream would add the openssl exception.18:15
shadeslayerive already forwarded necessary stuff18:16
=== jjesse_ is now known as jjesse
CIA-42[muon] jmthomas * 1196176 * trunk/extragear/sysadmin/muon/installer/ (4 files) "Borrow" the screenshot viewer KDialog class w/the nice effects from KPackageKit ;-)18:43
ScottKJontheEchidna: There is a webkitkde merge that needs doing.  I TIL to fix FTBFS, but you've done most of the work on it, would you please have a look.18:55
JontheEchidnaOh, is that the variables.mk FTBFS?18:55
JontheEchidnaYeah, the debian/rules is probably just a bit too old. (The only thing stopping me from source format 3.0 is debian's package not being 3.0/kde.mk)18:56
JontheEchidnaI'll take a look at it right after this commit18:57
CIA-42[muon] jmthomas * 1196185 * trunk/extragear/sysadmin/muon/installer/ApplicationModel/ApplicationDelegate.cpp Start of support for an "installed" emblem on Application icons in the applications list. I have to do a bit of icon copying/installing that I don't have the energy to figure out at the moment before it'll actually work18:58
JontheEchidnaaha, just missing a pkg-kde-tools build-dep18:59
=== shadeslayer is now known as evilshadeslayer
JontheEchidnaScottK: didn't you already upload the fix for this 5 days ago? https://edge.launchpad.net/ubuntu/+source/webkitkde/0.9.6-0ubuntu219:12
evilshadeslayerScottK: bluedevil in there https://launchpad.net/~rohangarg/+archive/kde-extra19:12
evilshadeslayerbluedevil is building tho19:12
ScottKJontheEchidna: I did.  That's why I'm TIL, but accordig to MoM a merge is needed.19:13
JontheEchidnaTIL == ?19:13
ScottKTouched It Last19:13
JontheEchidnaah, right19:13
JontheEchidnait also means Today I Learned19:13
ScottKevilshadeslayer: I can't review it now, but if someone else doesn't get to it, I'll try for later tonight.19:14
JontheEchidnaScottK: it shouldn't really need a merge. Debian is just unsafely not using a ~ to separate the version number and the svn revision19:14
ScottKJontheEchidna: OK.  Thanks.19:14
JontheEchidnaI predict an epoch in that package's future :(19:15
JontheEchidna(plus we have the final 0.9.6 release)19:16
evilshadeslayerhahah : http://www.debian.org/doc/debian-policy/footnotes.html#f3519:17
CIA-42[muon] jmthomas * 1196199 * trunk/extragear/sysadmin/muon/installer/ (ApplicationWidget.cpp ApplicationWidget.h) Follow KWin's settings for animation speed (and by extension whether to animate at all)19:36
JontheEchidnaif you hate animations, you likely already have them disabled in kwin if you're using compositing ;-)19:38
mgraesslinerm which settings are you following there?19:40
JontheEchidnamgraesslin: [Compositing] animationSpeed=x19:41
mgraesslinseriously: this is kwin internal19:41
mgraesslindon't do something like that19:41
JontheEchidnait does have a fallback if the config value isn't set19:43
mgraesslinwhat if we change the meaning of the config?19:43
mgraesslinand is it expected that desktop effect setting is used in muon?19:44
mgraesslinwhen there is a global animation settingin kdelibs?19:44
JontheEchidnaoh, there is?19:44
mgraesslinyes there is19:44
mgraesslinit's used for example in Plasma and Oxygen and KWin19:44
JontheEchidnaknow what class that is?19:45
mgraesslinJontheEchidna: KGlobalSettings::graphicEffectsLevel()19:48
JontheEchidnathat can tell me animation speed for a fade-in animation?19:50
mgraesslinno, it tells you if the user wants effects19:50
mgraesslinyou cannot get the speed of the fade-in animation19:50
mgraesslinas that is completely internal to fade-in effect19:51
JontheEchidnaI guess I'll just hardcode it then19:52
mgraesslina better idea19:53
CIA-42[muon] jmthomas * 1196211 * trunk/extragear/sysadmin/muon/installer/ (ApplicationWidget.cpp ApplicationWidget.h) Revert the last commit. Not a good idea19:56
danttiwow, f14 installed in 10 minutes on virtual box and with a running kde session, our installer does needs love :P21:10
dasKreechI still love that it takes like a 1 day to install and configure Windows21:12
Quintasanevilshadeslayer: Ya updating bluedevil?21:12
yofelwhat we need it 'dpkg --no-sync'21:14
neversfeldeapachelogger: I need a translation21:14
CIA-42[muon] jmthomas * 1196237 * trunk/extragear/sysadmin/muon/installer/ (ApplicationWidget.cpp ApplicationWidget.h) Cleanup21:15
Quintasanapachelogger's favourite package in repositories? python-magic21:19
QuintasanScottK: libbluedevil-v1.8-1.tar.bz2  <--- do we have to do something about the 1.8-1 or I just should make it 1.8-1-0ubuntu1?21:32
ScottKI believe the latter.21:32
QuintasanScottK: What about python-sip?21:33
ScottKDidn't get a chance to look at it yet.21:34
QuintasanRiddell: If you're around I have a debdiff for new libbluedevil and I will update bluedevil to 1.0 release shortly21:42
QuintasanRiddell: http://people.ubuntu.com/~quintasan/libbluedevil_1.8-1-0ubuntu1.debdiff21:44
ScottKQuintasan: Shadeslayer made one already. https://launchpad.net/~rohangarg/+archive/kde-extra21:44
* Quintasan just wasted 20 precious seconds21:45
Quintasanevilshadeslayer: testing bluedevil21:46
Quintasanafiestas: I might have suggested that in the past but a Send via Bluetooth Action in Dolphin for BlueDevil would be nice. bluedevil-sendfile accepts only URL to device, not to file21:56
afiestasQuintasan: we'll do it for 4.6, since is only from that version that dolphin implements a proper way to implement it22:20
afiestaswe didn't did it yet because right now what we can do is just add a dummy entry, that will be shown even if the computer doesn't have a bluetooth adapter22:20
CIA-42[muon] jmthomas * 1196281 * trunk/extragear/sysadmin/muon/muon/ManagerWidget.cpp Remove unnecessary include22:25
=== ghostcube_ is now known as ghostcube
=== blueyed_ is now known as blueyed

Generated by irclog2html.py 2.7 by Marius Gedminas - find it at mg.pov.lt!